Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.reader.jms
Class JMSReader

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.reader.AbstractReaderPlugin
                  kieker.analysis.plugin.reader.jms.JMSReader

All Implemented Interfaces:
  IAnalysisComponent, IPlugin, IReaderPlugin

    public final class JMSReader

extends AbstractReaderPlugin

Reads monitoring records from a (remote or local) JMS queue.

Since:
  0.95a
Author:
  Andre van Hoorn, Matthias Rohr

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_DESTINATION` The name of the configuration determining the JMS destination (e.g.
`static String` | `CONFIG_PROPERTY_NAME_FACTORYLOOKUP` The name of the configuration determining the name of the used JMS factory.
`static String` | `CONFIG_PROPERTY_NAME_PROVIDERURL` The name of the configuration determining the JMS provider URL.
`static String` | `OUTPUT_PORT_NAME_RECORDS` The name of the output port delivering the received records.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`JMSReader(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`boolean` | `read()` A call to this method is a blocking call.
`void` | `terminate(boolean error)` Initiates a termination of the plugin.

Methods inherited from class kieker.analysis.plugin.reader.AbstractReaderPlugin
`init`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### OUTPUT_PORT_NAME_RECORDS

    public static final String OUTPUT_PORT_NAME_RECORDS

  The name of the output port delivering the received records.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_PROVIDERURL

    public static final String CONFIG_PROPERTY_NAME_PROVIDERURL

  The name of the configuration determining the JMS provider URL.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_DESTINATION

    public static final String CONFIG_PROPERTY_NAME_DESTINATION

  The name of the configuration determining the JMS destination (e.g. queue1).

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_FACTORYLOOKUP

    public static final String CONFIG_PROPERTY_NAME_FACTORYLOOKUP

  The name of the configuration determining the name of the used JMS factory.

  See Also:
    Constant Field Values

Constructor Detail

### JMSReader

    public JMSReader(Configuration configuration,
                     IProjectContext projectContext)
              throws IllegalArgumentException

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration used to initialize the whole reader. Keep in mind that the configuration should contain the following properties:
    - The property `CONFIG_PROPERTY_NAME_PROVIDERURL`, e.g. `tcp://localhost:3035/`
    - The property `CONFIG_PROPERTY_NAME_DESTINATION`, e.g. `queue1`
    - The property `CONFIG_PROPERTY_NAME_FACTORYLOOKUP`, e.g. `org.exolab.jms.jndi.InitialContextFactory`
    `projectContext` - The project context for this component.
  Throws:
    `IllegalArgumentException` - If one of the properties is empty.

Method Detail

### read

    public boolean read()

  A call to this method is a blocking call.

  Returns:
    true if the method succeeds, false otherwise.

### terminate

    public void terminate(boolean error)

  Initiates a termination of the plugin. This method is only used by the framework and should not be called manually. Use the method `AnalysisController.terminate(boolean)` instead. After receiving this notification, the plugin should terminate any running methods, e.g., read for readers.

  Parameters:
    `error` - Determines whether the plugin is terminated due to an error or not.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net